/**************************************************************************
 *                                                                        *
 *   Copyright (C) 2010 - 2012: University of Warsaw                      *
 *   Authors:            Pawel Zielinski <pzielins@icm.edu.pl>            *
 *                       Maciej Dlugosz  <mdlugosz@icm.edu.pl>            *
 *                                                                        *
 *   This program is free software; you can redistribute it and/or modify *
 *   it under the terms of the GNU General Public License as published by *
 *   the Free Software Foundation; either version 3 of the License, or    *
 *   (at your option) any later version.                                  *
 *                                                                        *
 *   This program is distributed in the hope that it will be useful,      *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 *   GNU General Public License for more details.                         *
 *                                                                        *
 *   You should have received a copy of the GNU General Public License    *
 *   along with this program; if not, see http://www.gnu.org/licenses     *
 *   or write to the Free Software Foundation,Inc., 51 Franklin Street,   *
 *   Fifth Floor, Boston, MA 02110-1301  USA                              *
 *                                                                        *
 **************************************************************************/

#include "defs.h"

DOUBLE box[4];
INT g_devices = 1;
INT g_threads = 1;
INT g_id = 0;
INT g_numprocs = 1;

MAKE_STR_IN(NONE_CUBIC_SPHERE,bc,1,"boundary conditions, currently none, a rectangular box or a reflective sphere")
MAKE_STR_IN(DOUBLE,xbox,0.0,"computational box, x-size")
MAKE_STR_IN(DOUBLE,ybox,0.0,"computational box, y-size")
MAKE_STR_IN(DOUBLE,zbox,0.0,"computational box, z-size")
